#
# Conditional build:
%bcond_without	static_libs	# static library build
#
Summary:	Cross-platform serial port access library
Summary(pl.UTF-8):	Wieloplatformowa biblioteka dostępu do portu szeregowego
Name:		libserialport
Version:	0.1.0
Release:	2
License:	LGPL v3+
Group:		Libraries
Source0:	http://sigrok.org/download/source/libserialport/%{name}-%{version}.tar.gz
# Source0-md5:	750fa8dc1baf26b42fb4cadd9327674b
URL:		http://sigrok.org/wiki/Libserialport
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	udev-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Minimal, cross-platform shared library written in C that is intended
to take care of the OS-specific details when writing software that
uses serial ports.

%description -l pl.UTF-8
Minimalna, wieloplatformowa, napisana w C biblioteka współdzielona
mająca na celu zadbać o wszystkie specyficzne dla systemu operacyjnego
szczegóły przy pisaniu oprogramowania wykorzystującego porty
szeregowe.

%package devel
Summary:	Development files for libserialport
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libserialport
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-devel

%description devel
This package contains the header files for developing applications
that use libserialport.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libserialport.

%package static
Summary:	Static libserialport library
Summary(pl.UTF-8):	Statyczna biblioteka libserialport
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libserialport library.

%description static -l pl.UTF-8
Statyczna biblioteka libserialport.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libserialport.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libserialport.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libserialport.so.0

%files devel
%defattr(644,root,root,755)
%doc doxy/html-api/*
%attr(755,root,root) %{_libdir}/libserialport.so
%{_includedir}/libserialport.h
%{_pkgconfigdir}/libserialport.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libserialport.a
%endif
%changelog
* Fri Jul 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libserialport.git;a=log;h=master

* Mon Jul 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 8d6b988
- updated(?) to 0.1.0, finished packaging, release 2

* Mon Jul 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 16c85d3
- pl, added bconditional -static

* Wed Dec 18 2013 Elan Ruusamäe <glen@delfi.ee> 3acdeab
- more specific url, still no source tarball

* Wed Dec 18 2013 Elan Ruusamäe <glen@delfi.ee> 8727ecf
- unify

* Wed Dec 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 187ae5d
- initial

